/**
 * @unrestricted
 */
export class CSSFormatter {
    /**
     * @param {!FormattedContentBuilder} builder
     */
    constructor(builder: FormattedContentBuilder);
    _builder: FormattedContentBuilder;
    /** @type {number} */
    _toOffset: number;
    /** @type {number} */
    _fromOffset: number;
    /** @type {!Array.<number>} */
    _lineEndings: Array<number>;
    /** @type {number} */
    _lastLine: number;
    /** @type {{ eatWhitespace: (boolean|undefined), seenProperty: (boolean|undefined), inPropertyValue: (boolean|undefined), afterClosingBrace: (boolean|undefined)}} */
    _state: {
        eatWhitespace: (boolean | undefined);
        seenProperty: (boolean | undefined);
        inPropertyValue: (boolean | undefined);
        afterClosingBrace: (boolean | undefined);
    };
    /**
     * @param {string} text
     * @param {!Array.<number>} lineEndings
     * @param {number} fromOffset
     * @param {number} toOffset
     */
    format(text: string, lineEndings: Array<number>, fromOffset: number, toOffset: number): void;
    /**
     * @param {string} token
     * @param {?string} type
     * @param {number} startPosition
     */
    _tokenCallback(token: string, type: string | null, startPosition: number): void;
}
import { FormattedContentBuilder } from "./FormattedContentBuilder.js";
