/**
 * @unrestricted
 */
export class ESTreeWalker {
    /**
     * @return {!Object}
     */
    static get SkipSubtree(): Object;
    /**
     * @param {function(!ESTree.Node):(!Object|undefined)} beforeVisit
     * @param {function(!ESTree.Node):void=} afterVisit
     */
    constructor(beforeVisit: (arg0: ESTree.Node) => (Object | undefined), afterVisit?: ((arg0: ESTree.Node) => void) | undefined);
    _beforeVisit: (arg0: ESTree.Node) => (Object | undefined);
    _afterVisit: Function;
    _walkNulls: boolean;
    /**
     * @param {boolean} value
     */
    setWalkNulls(value: boolean): void;
    /**
     * @param {!ESTree.Node} ast
     */
    walk(ast: ESTree.Node): void;
    /**
     * @param {!ESTree.Node} node
     * @param {?ESTree.Node} parent
     */
    _innerWalk(node: ESTree.Node, parent: ESTree.Node | null): void;
    /**
     * @param {!Array.<!ESTree.Node>} nodeArray
     * @param {?ESTree.Node} parentNode
     */
    _walkArray(nodeArray: Array<ESTree.Node>, parentNode: ESTree.Node | null): void;
}
