/**
 * @param {string} mimeType
 * @return {function(string, function(string, ?string, number, number):(!Object|undefined|void))}
 */
export function createTokenizer(mimeType: string): (arg0: string, arg1: (arg0: string, arg1: string | null, arg2: number, arg3: number) => (Object | undefined | void)) => any;
/**
 * @param {string} content
 * @return {string}
 */
export function evaluatableJavaScriptSubstring(content: string): string;
/**
 * @param {string} content
 * @return {!Array<!{name: (string|undefined), offset: number}>}
 */
export function javaScriptIdentifiers(content: string): Array<{
    name: (string | undefined);
    offset: number;
}>;
/**
 * @param {string} mimeType
 * @param {string} text
 * @param {string=} indentString
 * @return {{mapping: {original: !Array<number>, formatted: !Array<number>}, content: string}}
 */
export function format(mimeType: string, text: string, indentString?: string | undefined): {
    mapping: {
        original: Array<number>;
        formatted: Array<number>;
    };
    content: string;
};
/**
 * @param {string} content
 * @return {?{baseExpression: string, receiver: string, argumentIndex: number, functionName: string}}
 */
export function findLastFunctionCall(content: string): {
    baseExpression: string;
    receiver: string;
    argumentIndex: number;
    functionName: string;
} | null;
/**
 * @param {string} content
 * @return {!Array<string>}
 */
export function argumentsList(content: string): Array<string>;
/**
 * @param {string} content
 * @return {?string}
 */
export function findLastExpression(content: string): string | null;
/**
 * @param {string} content
 * @param {string} suffix
 * @param {!Set<string>} types
 * @return {?{baseNode: !ESTree.Node, baseExpression: string}}
 */
export function _lastCompleteExpression(content: string, suffix: string, types: Set<string>): {
    baseNode: ESTree.Node;
    baseExpression: string;
} | null;
export const AbortTokenization: {};
