/**
 * @unrestricted
 */
export class JavaScriptFormatter {
    /**
     * @param {!FormattedContentBuilder} builder
     */
    constructor(builder: FormattedContentBuilder);
    _builder: FormattedContentBuilder;
    /** @type {!AcornTokenizer} */
    _tokenizer: AcornTokenizer;
    /** @type {string} */
    _content: string;
    /** @type {number} */
    _fromOffset: number;
    /** @type {number} */
    _lastLineNumber: number;
    /**
     * @param {string} text
     * @param {!Array<number>} lineEndings
     * @param {number} fromOffset
     * @param {number} toOffset
     */
    format(text: string, lineEndings: Array<number>, fromOffset: number, toOffset: number): void;
    _toOffset: number | undefined;
    /**
     * @param {?TokenOrComment} token
     * @param {string} format
     */
    _push(token: TokenOrComment | null, format: string): void;
    /**
     * @param {!ESTree.Node} node
     * @return {undefined}
     */
    _beforeVisit(node: ESTree.Node): undefined;
    /**
     * @param {!ESTree.Node} node
     */
    _afterVisit(node: ESTree.Node): void;
    /**
     * @param {!ESTree.Node} node
     * @return {boolean}
     */
    _inForLoopHeader(node: ESTree.Node): boolean;
    /**
     * @param {!ESTree.Node} node
     * @param {!TokenOrComment} tokenOrComment
     * @return {string}
     */
    _formatToken(node: ESTree.Node, tokenOrComment: TokenOrComment): string;
    /**
     * @param {!ESTree.Node} node
     * @return {string}
     */
    _finishNode(node: ESTree.Node): string;
}
import { FormattedContentBuilder } from "./FormattedContentBuilder.js";
import { AcornTokenizer } from "./AcornTokenizer.js";
import { TokenOrComment } from "./AcornTokenizer.js";
