export class Importer {
    /**
     * @param {!HARLog} log
     * @return {!Array<!SDK.NetworkRequest.NetworkRequest>}
     */
    static requestsFromHARLog(log: HARLog): Array<SDK.NetworkRequest.NetworkRequest>;
    /**
     * @param {!HARPage} page
     * @param {!SDK.NetworkRequest.NetworkRequest} mainRequest
     * @return {!SDK.NetworkLog.PageLoad}
     */
    static _buildPageLoad(page: HARPage, mainRequest: SDK.NetworkRequest.NetworkRequest): SDK.NetworkLog.PageLoad;
    /**
     * @param {!SDK.NetworkRequest.NetworkRequest} request
     * @param {!HAREntry} entry
     * @param {?SDK.NetworkLog.PageLoad} pageLoad
     */
    static _fillRequestFromHAREntry(request: SDK.NetworkRequest.NetworkRequest, entry: HAREntry, pageLoad: SDK.NetworkLog.PageLoad | null): void;
    /**
     * @param {!SDK.NetworkRequest.NetworkRequest} request
     * @param {!HAREntry} entry
     * @param {?SDK.NetworkLog.PageLoad} pageLoad
     * @return {!Common.ResourceType.ResourceType}
     */
    static _getResourceType(request: SDK.NetworkRequest.NetworkRequest, entry: HAREntry, pageLoad: SDK.NetworkLog.PageLoad | null): Common.ResourceType.ResourceType;
    /**
     * @param {!SDK.NetworkRequest.NetworkRequest} request
     * @param {number} issueTime
     * @param {number} entryTotalDuration
     * @param {!HARTimings} timings
     */
    static _setupTiming(request: SDK.NetworkRequest.NetworkRequest, issueTime: number, entryTotalDuration: number, timings: HARTimings): void;
}
import { HARLog } from "./HARFormat.js";
import * as SDK from "../sdk/sdk.js";
import { HARPage } from "./HARFormat.js";
import { HAREntry } from "./HARFormat.js";
import * as Common from "../common/common.js";
import { HARTimings } from "./HARFormat.js";
