/**
 * @unrestricted
 */
export class HeapSnapshotLoader {
    /**
     * @param {!HeapSnapshotWorkerDispatcher} dispatcher
     */
    constructor(dispatcher: HeapSnapshotWorkerDispatcher);
    _progress: HeapSnapshotProgress;
    _buffer: string;
    _dataCallback: ((value: string | PromiseLike<string>) => void) | null;
    _done: boolean;
    /**
     * @type {!Object.<string, *>|undefined}
     */
    _snapshot: {
        [x: string]: any;
    } | undefined;
    /**
     * @type {!Uint32Array|!Array<number>|null}
     */
    _array: Uint32Array | Array<number> | null;
    /**
     * @type {number}
     */
    _arrayIndex: number;
    dispose(): void;
    _reset(): void;
    _json: any;
    close(): void;
    /**
     * @return {!JSHeapSnapshot}
     */
    buildSnapshot(): JSHeapSnapshot;
    _parseUintArray(): boolean;
    _parseStringsArray(): void;
    /**
     * @param {string} chunk
     */
    write(chunk: string): void;
    /**
     * @return {!Promise<string>}
     */
    _fetchChunk(): Promise<string>;
    /**
     * @param {string} token
     * @param {number=} startIndex
     * @return {!Promise<number>}
     */
    _findToken(token: string, startIndex?: number | undefined): Promise<number>;
    /**
     * @param {string} name
     * @param {string} title
     * @param {number=} length
     * @return {!Promise<!Uint32Array|!Array<number>>}
     */
    _parseArray(name: string, title: string, length?: number | undefined): Promise<Uint32Array | Array<number>>;
    _parseInput(): Promise<void>;
    _jsonTokenizer: any;
}
import { HeapSnapshotProgress } from "./HeapSnapshot.js";
import { JSHeapSnapshot } from "./HeapSnapshot.js";
import { HeapSnapshotWorkerDispatcher } from "./HeapSnapshotWorkerDispatcher.js";
