/**
 * @unrestricted

 */
export class HeapSnapshotWorkerDispatcher {
    /**
     *
     * @param {!Worker} globalObject
     * @param {!Function} postMessage
     */
    constructor(globalObject: Worker, postMessage: Function);
    /**
     * @type {!Array<*>};
     */
    _objects: Array<any>;
    _global: Worker;
    _postMessage: Function;
    /**
     * @param {string} name
     * @return {!Function}
     */
    _findFunction(name: string): Function;
    /**
     * @param {string} name
     * @param {*} data
     */
    sendEvent(name: string, data: any): void;
    /**
     * @param {{data: !HeapSnapshotModel.HeapSnapshotModel.WorkerCommand}} event
     */
    dispatchMessage({ data }: {
        data: HeapSnapshotModel.HeapSnapshotModel.WorkerCommand;
    }): void;
}
import * as HeapSnapshotModel from "../heap_snapshot_model/heap_snapshot_model.js";
