/**
 * @implements {Common.JavaScriptMetaData.JavaScriptMetaData}
 */
export class JavaScriptMetadataImpl implements Common.JavaScriptMetaData.JavaScriptMetaData {
    /** @type {!Map<string, !Array<!Array<string>>>} */
    _uniqueFunctions: Map<string, Array<Array<string>>>;
    /** @type {!Map<string, !Map<string, !Array<!Array<string>>>>} */
    _instanceMethods: Map<string, Map<string, Array<Array<string>>>>;
    /** @type {!Map<string, !Map<string, !Array<!Array<string>>>>} */
    _staticMethods: Map<string, Map<string, Array<Array<string>>>>;
    /**
     * @override
     * @param {string} name
     * @return {?Array<!Array<string>>}
     */
    signaturesForNativeFunction(name: string): Array<Array<string>> | null;
    /**
     * @override
     * @param {string} name
     * @param {string} receiverClassName
     * @return {?Array<!Array<string>>}
     */
    signaturesForInstanceMethod(name: string, receiverClassName: string): Array<Array<string>> | null;
    /**
     * @override
     * @param {string} name
     * @param {string} receiverConstructorName
     * @return {?Array<!Array<string>>}
     */
    signaturesForStaticMethod(name: string, receiverConstructorName: string): Array<Array<string>> | null;
}
import * as Common from "../common/common.js";
