/**
 * @implements {TextUtils.ContentProvider.ContentProvider}
 * @unrestricted
 */
export class CompilerSourceMappingContentProvider implements TextUtils.ContentProvider.ContentProvider {
    /**
     * @param {string} sourceURL
     * @param {!Common.ResourceType.ResourceType} contentType
     * @param {!PageResourceLoadInitiator} initiator
     */
    constructor(sourceURL: string, contentType: Common.ResourceType.ResourceType, initiator: PageResourceLoadInitiator);
    _sourceURL: string;
    _contentType: Common.ResourceType.ResourceType;
    _initiator: {
        target: null;
        frameId: string;
        initiatorUrl: string | null;
    } | {
        target: import("./SDKModel.js").Target;
        frameId: string | null;
        initiatorUrl: string | null;
    };
    /**
     * @override
     * @return {string}
     */
    contentURL(): string;
    /**
     * @override
     * @return {!Common.ResourceType.ResourceType}
     */
    contentType(): Common.ResourceType.ResourceType;
    /**
     * @override
     * @return {!Promise<boolean>}
     */
    contentEncoded(): Promise<boolean>;
    /**
     * @override
     * @return {!Promise<!TextUtils.ContentProvider.DeferredContent>}
     */
    requestContent(): Promise<TextUtils.ContentProvider.DeferredContent>;
    /**
     * @override
     * @param {string} query
     * @param {boolean} caseSensitive
     * @param {boolean} isRegex
     * @return {!Promise<!Array<!TextUtils.ContentProvider.SearchMatch>>}
     */
    searchInContent(query: string, caseSensitive: boolean, isRegex: boolean): Promise<Array<TextUtils.ContentProvider.SearchMatch>>;
}
import * as TextUtils from "../text_utils/text_utils.js";
import * as Common from "../common/common.js";
import { PageResourceLoadInitiator } from "./PageResourceLoader.js";
