export class IOModel extends SDKModel {
    /**
     * @param {!Target} target
     */
    constructor(target: Target);
    /**
     * @param {!Protocol.IO.StreamHandle} handle
     * @param {number=} size
     * @param {number=} offset
     * @return {!Promise<string|!ArrayBuffer|null>}
     * @throws {!Error}
     */
    read(handle: Protocol.IO.StreamHandle, size?: number | undefined, offset?: number | undefined): Promise<string | ArrayBuffer | null>;
    /**
     * @param {!Protocol.IO.StreamHandle} handle
     */
    close(handle: Protocol.IO.StreamHandle): Promise<void>;
    /**
     * @param {!Protocol.Runtime.RemoteObjectId|!RemoteObject} objectOrObjectId
     * @returns {!Promise<!Protocol.IO.StreamHandle>}
     * @throws {!Error}
     */
    resolveBlob(objectOrObjectId: Protocol.Runtime.RemoteObjectId | RemoteObject): Promise<Protocol.IO.StreamHandle>;
    /**
     * @param {!Protocol.IO.StreamHandle} handle
     * @throws {!Error}
     */
    readToString(handle: Protocol.IO.StreamHandle): Promise<string>;
}
import { SDKModel } from "./SDKModel.js";
import { RemoteObject } from "./RemoteObject.js";
import { Target } from "./SDKModel.js";
