export class WebAuthnModel extends SDKModel {
    /**
    * @param {!Target} target
    */
    constructor(target: Target);
    _agent: ProtocolProxyApi.WebAuthnApi;
    /**
     * @param {boolean} enable
     * @return {!Promise<!Object>}
     */
    setVirtualAuthEnvEnabled(enable: boolean): Promise<Object>;
    /**
     * @param {!Protocol.WebAuthn.VirtualAuthenticatorOptions} options
     * @return {!Promise<!Protocol.WebAuthn.AuthenticatorId>}
     */
    addAuthenticator(options: Protocol.WebAuthn.VirtualAuthenticatorOptions): Promise<Protocol.WebAuthn.AuthenticatorId>;
    /**
     * @param {!Protocol.WebAuthn.AuthenticatorId} authenticatorId
     */
    removeAuthenticator(authenticatorId: Protocol.WebAuthn.AuthenticatorId): Promise<void>;
    /**
     * @param {!Protocol.WebAuthn.AuthenticatorId} authenticatorId
     * @param {boolean} enabled
     */
    setAutomaticPresenceSimulation(authenticatorId: Protocol.WebAuthn.AuthenticatorId, enabled: boolean): Promise<void>;
    /**
     * @param {!Protocol.WebAuthn.AuthenticatorId} authenticatorId
     * @return {!Promise<!Array<!Protocol.WebAuthn.Credential>>}
     */
    getCredentials(authenticatorId: Protocol.WebAuthn.AuthenticatorId): Promise<Array<Protocol.WebAuthn.Credential>>;
    /**
     * @param {!Protocol.WebAuthn.AuthenticatorId} authenticatorId
     * @param {string} credentialId
     */
    removeCredential(authenticatorId: Protocol.WebAuthn.AuthenticatorId, credentialId: string): Promise<void>;
}
import { SDKModel } from "./SDKModel.js";
import { Target } from "./SDKModel.js";
