import * as acorn from './package/dist/acorn.mjs';
/**
 * @typedef {acorn.Token}
 */
export declare let Token: any;
/**
 * @typedef {acorn.Comment}
 */
export declare let Comment: any;
export declare const tokTypes: {
    num: acorn.TokenType;
    regexp: acorn.TokenType;
    string: acorn.TokenType;
    name: acorn.TokenType;
    eof: acorn.TokenType;
    bracketL: acorn.TokenType;
    bracketR: acorn.TokenType;
    braceL: acorn.TokenType;
    braceR: acorn.TokenType;
    parenL: acorn.TokenType;
    parenR: acorn.TokenType;
    comma: acorn.TokenType;
    semi: acorn.TokenType;
    colon: acorn.TokenType;
    dot: acorn.TokenType;
    question: acorn.TokenType;
    arrow: acorn.TokenType;
    template: acorn.TokenType;
    ellipsis: acorn.TokenType;
    backQuote: acorn.TokenType;
    dollarBraceL: acorn.TokenType;
    eq: acorn.TokenType;
    assign: acorn.TokenType;
    incDec: acorn.TokenType;
    prefix: acorn.TokenType;
    logicalOR: acorn.TokenType;
    logicalAND: acorn.TokenType;
    bitwiseOR: acorn.TokenType;
    bitwiseXOR: acorn.TokenType;
    bitwiseAND: acorn.TokenType;
    equality: acorn.TokenType;
    relational: acorn.TokenType;
    bitShift: acorn.TokenType;
    plusMin: acorn.TokenType;
    modulo: acorn.TokenType;
    star: acorn.TokenType;
    slash: acorn.TokenType;
    starstar: acorn.TokenType;
    _break: acorn.TokenType;
    _case: acorn.TokenType;
    _catch: acorn.TokenType;
    _continue: acorn.TokenType;
    _debugger: acorn.TokenType;
    _default: acorn.TokenType;
    _do: acorn.TokenType;
    _else: acorn.TokenType;
    _finally: acorn.TokenType;
    _for: acorn.TokenType;
    _function: acorn.TokenType;
    _if: acorn.TokenType;
    _return: acorn.TokenType;
    _switch: acorn.TokenType;
    _throw: acorn.TokenType;
    _try: acorn.TokenType;
    _var: acorn.TokenType;
    _const: acorn.TokenType;
    _while: acorn.TokenType;
    _with: acorn.TokenType;
    _new: acorn.TokenType;
    _this: acorn.TokenType;
    _super: acorn.TokenType;
    _class: acorn.TokenType;
    _extends: acorn.TokenType;
    _export: acorn.TokenType;
    _import: acorn.TokenType;
    _null: acorn.TokenType;
    _true: acorn.TokenType;
    _false: acorn.TokenType;
    _in: acorn.TokenType;
    _instanceof: acorn.TokenType;
    _typeof: acorn.TokenType;
    _void: acorn.TokenType;
    _delete: acorn.TokenType;
};
export declare const Parser: typeof acorn.Parser;
export declare const tokenizer: (input: string, options?: acorn.Options | undefined) => {
    getToken(): acorn.Token;
    [Symbol.iterator](): Iterator<acorn.Token, any, undefined>;
};
export declare const parse: (input: string, options?: acorn.Options | undefined) => acorn.Node;
