export class TimelineJSProfileProcessor {
    /**
     * @param {!SDK.CPUProfileDataModel.CPUProfileDataModel} jsProfileModel
     * @param {!SDK.TracingModel.Thread} thread
     * @return {!Array<!SDK.TracingModel.Event>}
     */
    static generateTracingEventsFromCpuProfile(jsProfileModel: SDK.CPUProfileDataModel.CPUProfileDataModel, thread: SDK.TracingModel.Thread): Array<SDK.TracingModel.Event>;
    /**
     * @param {!Array<!SDK.TracingModel.Event>} events
     * @return {!Array<!SDK.TracingModel.Event>}
     */
    static generateJSFrameEvents(events: Array<SDK.TracingModel.Event>): Array<SDK.TracingModel.Event>;
    /**
     * @param {!Protocol.Runtime.CallFrame} frame
     * @return {boolean}
     */
    static isNativeRuntimeFrame(frame: Protocol.Runtime.CallFrame): boolean;
    /**
     * @param {string} nativeName
     * @return {?TimelineJSProfileProcessor.NativeGroups}
     */
    static nativeGroup(nativeName: string): TimelineJSProfileProcessor.NativeGroups | null;
    /**
     * @param {*} profile
     * @param {number} tid
     * @param {boolean} injectPageEvent
     * @param {?string=} name
     * @return {!Array<!SDK.TracingManager.EventPayload>}
     */
    static buildTraceProfileFromCpuProfile(profile: any, tid: number, injectPageEvent: boolean, name?: (string | null) | undefined): Array<SDK.TracingManager.EventPayload>;
}
export namespace TimelineJSProfileProcessor {
    namespace NativeGroups {
        const Compile: string;
        const Parse: string;
    }
    type NativeGroups = string;
}
import * as SDK from "../sdk/sdk.js";
