export class TimelineModelFilter {
    /**
     * @param {!SDK.TracingModel.Event} event
     * @return {boolean}
     */
    accept(event: SDK.TracingModel.Event): boolean;
}
export class TimelineVisibleEventsFilter extends TimelineModelFilter {
    /**
     * @return {!RecordType}
     */
    static _eventType(event: any): RecordType;
    /**
     * @param {!Array<string>} visibleTypes
     */
    constructor(visibleTypes: Array<string>);
    _visibleTypes: Set<string>;
}
export class TimelineInvisibleEventsFilter extends TimelineModelFilter {
    /**
     * @param {!Array<string>} invisibleTypes
     */
    constructor(invisibleTypes: Array<string>);
    _invisibleTypes: Set<string>;
}
export class ExclusiveNameFilter extends TimelineModelFilter {
    /**
     * @param {!Array<string>} excludeNames
     */
    constructor(excludeNames: Array<string>);
    _excludeNames: Set<string>;
}
import * as SDK from "../sdk/sdk.js";
import { RecordType } from "./TimelineModel.js";
