export class Action extends Common.ObjectWrapper.ObjectWrapper {
    /**
     * @param {!Root.Runtime.Extension} extension
     */
    constructor(extension: Root.Runtime.Extension);
    _extension: Root.Runtime.Extension;
    /** @type {boolean} */
    _enabled: boolean;
    /** @type {boolean} */
    _toggled: boolean;
    /**
     * @return {string}
     */
    id(): string;
    /**
     * @return {!Root.Runtime.Extension}
     */
    extension(): Root.Runtime.Extension;
    /**
     * @return {!Promise.<boolean>}
     */
    execute(): Promise<boolean>;
    /**
     * @return {string}
     */
    icon(): string;
    /**
     * @return {string}
     */
    toggledIcon(): string;
    /**
     * @return {boolean}
     */
    toggleWithRedColor(): boolean;
    /**
     * @param {boolean} enabled
     */
    setEnabled(enabled: boolean): void;
    /**
     * @return {boolean}
     */
    enabled(): boolean;
    /**
     * @return {string}
     */
    category(): string;
    /**
     * @return {string}
     */
    tags(): string;
    /**
     * @return {boolean}
     */
    toggleable(): boolean;
    /**
     * @return {string}
     */
    title(): string;
    /**
     * @return {boolean}
     */
    toggled(): boolean;
    /**
     * @param {boolean} toggled
     */
    setToggled(toggled: boolean): void;
    /**
     * @return {!ActionRuntimeExtensionDescriptor}
     */
    _actionDescriptor(): ActionRuntimeExtensionDescriptor;
}
export type Events = symbol;
export namespace Events {
    const Enabled: symbol;
    const Toggled: symbol;
}
import * as Common from "../common/common.js";
import * as Root from "../root/root.js";
declare class ActionRuntimeExtensionDescriptor extends Root.Runtime.RuntimeExtensionDescriptor {
    /** @type {string|null} */
    iconClass: string | null;
    /** @type {string|null} */
    toggledIconClass: string | null;
    /** @type {boolean|null} */
    toggleWithRedColor: boolean | null;
    /** @type {string|null} */
    category: string | null;
    /** @type {string|null} */
    tags: string | null;
    /** @type {boolean|null} */
    toggleable: boolean | null;
    /**
     * @type {?Array<{
     *   value: boolean,
     *   title: string,
     * }>}
     */
    options: {
        value: boolean;
        title: string;
    }[] | null;
}
export {};
