export class Dialog extends GlassPane {
    /**
     * @return {boolean}
     */
    static hasInstance(): boolean;
    /** @type {!OutsideTabIndexBehavior} */
    _tabIndexBehavior: OutsideTabIndexBehavior;
    /** @type {!Map<!HTMLElement, number>} */
    _tabIndexMap: Map<HTMLElement, number>;
    /** @type {?WidgetFocusRestorer} */
    _focusRestorer: WidgetFocusRestorer | null;
    _closeOnEscape: boolean;
    /** @type {?Document} */
    _targetDocument: Document | null;
    _targetDocumentKeyDownHandler: (event: Event) => void;
    /** @type {?function(!Event)} */
    _escapeKeyCallback: ((arg0: Event) => any) | null;
    /**
     * @param {boolean} close
     */
    setCloseOnEscape(close: boolean): void;
    /**
     * @param {function(!Event)} callback
     */
    setEscapeKeyCallback(callback: (arg0: Event) => any): void;
    addCloseButton(): void;
    /**
     * @param {!OutsideTabIndexBehavior} tabIndexBehavior
     */
    setOutsideTabIndexBehavior(tabIndexBehavior: OutsideTabIndexBehavior): void;
    /**
     * @param {!Document} document
     */
    _disableTabIndexOnElements(document: Document): void;
    /**
     * @param {?SplitWidget} splitWidget
     * @return {!Set.<!HTMLElement>}
     */
    _getMainWidgetTabIndexElements(splitWidget: SplitWidget | null): Set<HTMLElement>;
    _restoreTabIndexOnElements(): void;
    /**
     * @param {!Event} event
     */
    _onKeyDown(event: Event): void;
}
export type OutsideTabIndexBehavior = symbol;
export namespace OutsideTabIndexBehavior {
    const DisableAllOutsideTabIndex: symbol;
    const PreserveMainViewTabIndex: symbol;
    const PreserveTabIndex: symbol;
}
import { GlassPane } from "./GlassPane.js";
import { WidgetFocusRestorer } from "./Widget.js";
import { SplitWidget } from "./SplitWidget.js";
