/**
 * @unrestricted
 */
export class DockController extends Common.ObjectWrapper.ObjectWrapper {
    /**
     * @param {{forceNew: ?boolean, canDock: boolean}} opts
     * @return {!DockController}
     */
    static instance(opts?: {
        forceNew: boolean | null;
        canDock: boolean;
    }): DockController;
    /**
     * @param {boolean} canDock
     */
    constructor(canDock: boolean);
    _canDock: boolean;
    _closeButton: ToolbarButton;
    _dockSide: string | undefined;
    _states: string[] | undefined;
    _currentDockStateSetting: Common.Settings.Setting<any> | undefined;
    _lastDockStateSetting: Common.Settings.Setting<any> | undefined;
    initialize(): void;
    _titles: string[] | undefined;
    _dockSideChanged(): void;
    /**
     * @return {string}
     */
    dockSide(): string;
    /**
     * @return {boolean}
     */
    canDock(): boolean;
    /**
     * @return {boolean}
     */
    isVertical(): boolean;
    /**
     * @param {string} dockSide
     * @suppressGlobalPropertiesCheck
     */
    setDockSide(dockSide: string): void;
    _savedFocus: Element | null | undefined;
    /**
     * @param {{from: string, to: string}} eventData
     */
    _setIsDockedResponse(eventData: {
        from: string;
        to: string;
    }): void;
    _toggleDockSide(): void;
}
export namespace State {
    const DockedToBottom: string;
    const DockedToRight: string;
    const DockedToLeft: string;
    const Undocked: string;
}
export type Events = symbol;
export namespace Events {
    const BeforeDockSideChanged: symbol;
    const DockSideChanged: symbol;
    const AfterDockSideChanged: symbol;
}
/**
 * @implements {ActionDelegate}
 * @unrestricted
 */
export class ToggleDockActionDelegate implements ActionDelegate {
    /**
     * @override
     * @param {!Context} context
     * @param {string} actionId
     * @return {boolean}
     */
    handleAction(context: Context, actionId: string): boolean;
}
/**
 * @implements {Provider}
 * @unrestricted
 */
export class CloseButtonProvider implements Provider {
    /**
     * @override
     * @return {?ToolbarItem}
     */
    item(): ToolbarItem | null;
}
import * as Common from "../common/common.js";
import { ToolbarButton } from "./Toolbar.js";
import { ActionDelegate } from "./ActionDelegate.js";
import { Context } from "./Context.js";
import { Provider } from "./Toolbar.js";
import { ToolbarItem } from "./Toolbar.js";
