/**
 * @unrestricted
 */
export class DropTarget {
    /**
     * @param {!Element} element
     * @param {!Array<{kind: string, type: !RegExp}>} transferTypes
     * @param {string} messageText
     * @param {function(!DataTransfer):*} handleDrop
     */
    constructor(element: Element, transferTypes: Array<{
        kind: string;
        type: RegExp;
    }>, messageText: string, handleDrop: (arg0: DataTransfer) => any);
    _element: Element;
    _transferTypes: {
        kind: string;
        type: RegExp;
    }[];
    _messageText: string;
    _handleDrop: (arg0: DataTransfer) => any;
    _enabled: boolean;
    /** @type {?Element} */
    _dragMaskElement: Element | null;
    /**
     * @param {boolean} enabled
     */
    setEnabled(enabled: boolean): void;
    /**
     * @param {!Event} event
     */
    _onDragEnter(event: Event): void;
    /**
     * @param {!Event} ev
     * @return {boolean}
     */
    _hasMatchingType(ev: Event): boolean;
    /**
     * @param {!Event} ev
     */
    _onDragOver(ev: Event): void;
    /**
     * @param {!Event} ev
     */
    _onDrop(ev: Event): void;
    /**
     * @param {!Event} event
     */
    _onDragLeave(event: Event): void;
    _removeMask(): void;
}
export namespace Type {
    namespace URI {
        const kind: string;
        const type: RegExp;
    }
    namespace Folder {
        const kind_1: string;
        export { kind_1 as kind };
        const type_1: RegExp;
        export { type_1 as type };
    }
    namespace File {
        const kind_2: string;
        export { kind_2 as kind };
        const type_2: RegExp;
        export { type_2 as type };
    }
    namespace WebFile {
        const kind_3: string;
        export { kind_3 as kind };
        const type_3: RegExp;
        export { type_3 as type };
    }
    namespace ImageFile {
        const kind_4: string;
        export { kind_4 as kind };
        const type_4: RegExp;
        export { type_4 as type };
    }
}
