export class Fragment {
    /**
     * @param {!TemplateDefinition} strings
     * @param {...*} values
     * @return {!Fragment}
     */
    static build(strings: TemplateDefinition, ...values: any[]): Fragment;
    /**
     * @param {!TemplateDefinition} strings
     * @param {...*} values
     * @return {!Fragment}
     */
    static cached(strings: TemplateDefinition, ...values: any[]): Fragment;
    /**
     * @param {!TemplateDefinition} strings
     * @return {!_Template}
     * @suppressGlobalPropertiesCheck
     */
    static _template(strings: TemplateDefinition): _Template;
    /**
     * @param {!_Template} template
     * @param {!Array<*>} values
     * @return {!Fragment}
     */
    static _render(template: _Template, values: Array<any>): Fragment;
    /**
     * @param {*} value
     * @return {!Node}
     */
    static _nodeForValue(value: any): Node;
    /**
     * @param {!Element} element
     */
    constructor(element: Element);
    _element: Element;
    /** @type {!Map<string, !Element>} */
    _elementsById: Map<string, Element>;
    /**
     * @return {!Element}
     */
    element(): Element;
    /**
     * @param {string} elementId
     * @return {!Element}
     */
    $(elementId: string): Element;
}
export const _textMarker: "{{template-text}}";
export function _attributeMarker(index: number): string;
export function html(strings: TemplateDefinition, ...vararg: any[]): Element;
export type TemplateDefinition = string[] | TemplateStringsArray;
/** @typedef {(!Array<string>|!ITemplateArray)} */
export let TemplateDefinition: any;
export type _Bind = {
    elementId: (string | undefined);
    attr: ({
        index: number;
        names: Array<string>;
        values: Array<string>;
    } | undefined);
    replaceNodeIndex: (number | undefined);
};
/**
  * @typedef {!{
  *   elementId: (string|undefined),
  *   attr: (!{
  *     index: number,
  *     names: !Array<string>,
  *     values: !Array<string>
  *   }|undefined),
  *   replaceNodeIndex: (number|undefined)
  * }}
  */
export let _Bind: any;
export type _Template = {
    template: HTMLTemplateElement;
    binds: Array<_Bind>;
};
/**
 * @typedef {!{
  *   template: !HTMLTemplateElement,
  *   binds: !Array<!_Bind>
  * }}
  */
export let _Template: any;
