export class Icon extends HTMLSpanElement {
    /**
     * @param {string=} iconType
     * @param {string=} className
     * @return {!Icon}
     */
    static create(iconType?: string | undefined, className?: string | undefined): Icon;
    /** @type {?Descriptor} */
    _descriptor: Descriptor | null;
    /** @type {?SpriteSheet} */
    _spriteSheet: SpriteSheet | null;
    /** @type {string} */
    _iconType: string;
    /**
     * @param {string} iconType
     */
    setIconType(iconType: string): void;
    /**
     * @param {boolean} value
     */
    _toggleClasses(value: boolean): void;
    /**
     * @return {string}
     */
    _propertyValue(): string;
}
export type Descriptor = {
    position: string;
    spritesheet: string;
    isMask: (boolean | undefined);
    coordinates: ({
        x: number;
        y: number;
    } | undefined);
    invert: (boolean | undefined);
};
/** @typedef {{position: string, spritesheet: string, isMask: (boolean|undefined), coordinates: ({x: number, y: number}|undefined), invert: (boolean|undefined)}} */
export let Descriptor: any;
export type SpriteSheet = {
    cellWidth: number;
    cellHeight: number;
    padding: number;
};
/** @typedef {{cellWidth: number, cellHeight: number, padding: number}} */
export let SpriteSheet: any;
